# ImageList

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [ImageList](/api/wisej.web/content/imagelist.md)

Provides methods to manage a collection of [Image](https://docs.microsoft.com/dotnet/api/system.drawing.image) objects. This class cannot be inherited.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ImageList : Component, IWisejHandler
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ImageList
    Inherits Component
    Implements IWisejHandler
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ImageList()

Initializes a new instance of the [ImageList](/api/wisej.web/content/imagelist.md) without a specified container.

### ![](/files/hsR4ok3152WyAf8J2C1u) ImageList(container)

Initializes a new instance of the [ImageList](/api/wisej.web/content/imagelist.md) class with a specified container.

| Name          | Type                                                                                 | Description                                                                                                                                                                            |
| ------------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) | An [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) that represents the container of the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md). |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Images

[ImageCollection](/api/wisej.web/content/imagelist/wisej.web.imagelist.imagecollection.md): Returns the [ImageCollection](/api/wisej.web/content/imagelist/wisej.web.imagelist.imagecollection.md) for this image list. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ImageSize

[Size](https://docs.microsoft.com/dotnet/api/system.drawing.size): Returns or sets the size of the images in the image list.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The value assigned is equal to [IsEmpty](https://docs.microsoft.com/dotnet/api/system.drawing.size.isempty); or the value of the height or width is less than or equal to 0; or the value of the height or width is greater than 256.
* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)\
  The new size has a dimension less than 0 or greater than 256.

### ![](/files/hsR4ok3152WyAf8J2C1u) Tag

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets an object that contains additional data about the [ImageList](/api/wisej.web/content/imagelist.md). (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) TransparentColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color to treat as transparent.

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejHandler](/api/wisej.core/interfaces/wisej.core.iwisejhandler.md)           | Represents a Wisej component that is capable of handling postback requests from the client.                     |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/imagelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
